summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:46 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:46 +0200
commit1df8dfcf8ea94b97ba7c62c0cebdc13152b81a1d (patch)
tree4f52ccbe3c42fa55cdd56b153c3439d3e5fb03ed
parent0a65a8bbee1d5bccd19310d7b5268e2856871709 (diff)
downloadslackbuilds-1df8dfcf8ea94b97ba7c62c0cebdc13152b81a1d.tar.gz
slackbuilds-1df8dfcf8ea94b97ba7c62c0cebdc13152b81a1d.tar.xz
games/qmc2: Added to 12.1 repository
-rw-r--r--games/qmc2/README4
-rw-r--r--games/qmc2/doinst.sh3
-rw-r--r--games/qmc2/qmc2.SlackBuild46
-rw-r--r--games/qmc2/qmc2.desktop8
-rw-r--r--games/qmc2/qmc2.info8
-rw-r--r--games/qmc2/qmc2.pngbin0 -> 2244 bytes
-rw-r--r--games/qmc2/slack-desc11
7 files changed, 80 insertions, 0 deletions
diff --git a/games/qmc2/README b/games/qmc2/README
new file mode 100644
index 0000000000..056f069d88
--- /dev/null
+++ b/games/qmc2/README
@@ -0,0 +1,4 @@
+QMC2 (M.A.M.E. Catalog / Launcher II)
+
+Requires QT4 at buildtime and a MAME executable (such as SDLMAME)
+at runtime. QT4 is available at SlackBuilds.org.
diff --git a/games/qmc2/doinst.sh b/games/qmc2/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/games/qmc2/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/games/qmc2/qmc2.SlackBuild b/games/qmc2/qmc2.SlackBuild
new file mode 100644
index 0000000000..cc705b49c2
--- /dev/null
+++ b/games/qmc2/qmc2.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for QMC2
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=qmc2
+VERSION=0.2.b4
+ARCH=i486 # This should match your QT4 $ARCH
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+export QTDIR=/usr/lib/qt4
+make PREFIX=/usr
+make install PREFIX=/usr DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+
+install -D -m 0644 $CWD/qmc2.desktop $PKG/usr/share/applications/qmc2.desktop
+install -D -m 0644 $CWD/qmc2.png $PKG/usr/share/icons/qmc2.png
+
+mkdir -p $PKG/usr/doc $PKG/install
+mv $PKG/usr/share/qmc2/doc/ $PKG/usr/doc/$PRGNAM-$VERSION/
+( cd $PKG/usr/share/qmc2 ; ln -s ../../doc/$PRGNAM-$VERSION doc )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/qmc2/qmc2.desktop b/games/qmc2/qmc2.desktop
new file mode 100644
index 0000000000..f6534ef079
--- /dev/null
+++ b/games/qmc2/qmc2.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=QMC2
+Comment=M.A.M.E. Catalog / Launcher II
+Exec=qmc2
+Icon=qmc2
+Terminal=false
+Type=Application
+Categories=Game;Emulator;
diff --git a/games/qmc2/qmc2.info b/games/qmc2/qmc2.info
new file mode 100644
index 0000000000..99dfdef981
--- /dev/null
+++ b/games/qmc2/qmc2.info
@@ -0,0 +1,8 @@
+PRGNAM="qmc2"
+VERSION="0.2.b4"
+HOMEPAGE="http://www.mameworld.net/mamecat/"
+DOWNLOAD="http://downloads.sourceforge.net/qmc2/qmc2-0.2.b4.tar.bz2"
+MD5SUM="84bf8551a7949555c8bc1a2c9a11fc4a"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/games/qmc2/qmc2.png b/games/qmc2/qmc2.png
new file mode 100644
index 0000000000..355e288bd3
--- /dev/null
+++ b/games/qmc2/qmc2.png
Binary files differ
diff --git a/games/qmc2/slack-desc b/games/qmc2/slack-desc
new file mode 100644
index 0000000000..91262d25e7
--- /dev/null
+++ b/games/qmc2/slack-desc
@@ -0,0 +1,11 @@
+qmc2: QMC2 (M.A.M.E. Catalog / Launcher II)
+qmc2:
+qmc2: QMC2 is a Qt 4 based UNIX GUI frontend for SDLMAME.
+qmc2:
+qmc2:
+qmc2:
+qmc2:
+qmc2:
+qmc2:
+qmc2:
+qmc2: